import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { WebPivotConfigurationDescription } from "./WebPivotConfigurationDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebPivotGridDescription extends WebGridBaseDirectiveDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private g1;
    get valueChipTemplateRef(): string;
    set valueChipTemplateRef(a: string);
    private gn;
    get pivotConfiguration(): WebPivotConfigurationDescription;
    set pivotConfiguration(a: WebPivotConfigurationDescription);
    private gq;
    get showPivotConfigurationUI(): boolean;
    set showPivotConfigurationUI(a: boolean);
    private gr;
    get superCompactMode(): boolean;
    set superCompactMode(a: boolean);
    private gp;
    get defaultExpandState(): boolean;
    set defaultExpandState(a: boolean);
    private gv;
    get dataRef(): string;
    set dataRef(a: string);
    private gz;
    get emptyPivotGridTemplateRef(): string;
    set emptyPivotGridTemplateRef(a: string);
    private gx;
    get dimensionsChangeRef(): string;
    set dimensionsChangeRef(a: string);
    private g0;
    get pivotConfigurationChangeRef(): string;
    set pivotConfigurationChangeRef(a: string);
    private gw;
    get dimensionInitRef(): string;
    set dimensionInitRef(a: string);
    private g2;
    get valueInitRef(): string;
    set valueInitRef(a: string);
    private gy;
    get dimensionsSortingExpressionsChangeRef(): string;
    set dimensionsSortingExpressionsChangeRef(a: string);
    private g3;
    get valuesChangeRef(): string;
    set valuesChangeRef(a: string);
}
